List avatar assets
curl --request GET \
--url https://prod-auth.tktchurch.com/api/v1/users/me/avatar/assets \
--header 'Authorization: Bearer <token>'import Foundation
let url = URL(string: "https://prod-auth.tktchurch.com/api/v1/users/me/avatar/assets")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["Authorization": "Bearer <token>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://prod-auth.tktchurch.com/api/v1/users/me/avatar/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://prod-auth.tktchurch.com/api/v1/users/me/avatar/assets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"assets": [
{
"id": "av_01",
"url": "https://cdn.tktchurch.com/a/av_01.png",
"selected": true
}
]
}{
"error": "invalid_token",
"error_description": "Access token is invalid or malformed"
}List avatar assets
List avatar assets. Requires a Bearer access token for the signed-in user.
GET
/
api
/
v1
/
users
/
me
/
avatar
/
assets
List avatar assets
curl --request GET \
--url https://prod-auth.tktchurch.com/api/v1/users/me/avatar/assets \
--header 'Authorization: Bearer <token>'import Foundation
let url = URL(string: "https://prod-auth.tktchurch.com/api/v1/users/me/avatar/assets")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["Authorization": "Bearer <token>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://prod-auth.tktchurch.com/api/v1/users/me/avatar/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://prod-auth.tktchurch.com/api/v1/users/me/avatar/assets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"assets": [
{
"id": "av_01",
"url": "https://cdn.tktchurch.com/a/av_01.png",
"selected": true
}
]
}{
"error": "invalid_token",
"error_description": "Access token is invalid or malformed"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
